Skip to main content
GET
/
api
/
data-readiness
/
metrics
/
dimensions
List Dimensions
curl --request GET \
  --url https://api.example.com/api/data-readiness/metrics/dimensions \
  --header 'Authorization: Bearer <token>'
{
  "dimensions": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "fqn": "<string>",
      "assessment_type": "<string>",
      "weight": "<string>",
      "display_order": 123,
      "is_active": true,
      "metric_definitions": [
        {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "name": "<string>",
          "fqn": "<string>",
          "is_active": true,
          "display_name": "Has Description",
          "unit": "percent",
          "description": "<string>",
          "purpose": "<string>",
          "applicable_asset_types": [
            "table",
            "column"
          ]
        }
      ],
      "display_name": "Completeness",
      "description": "Measures the completeness of metadata",
      "purpose": "<string>"
    }
  ],
  "pagination": {
    "page": 123,
    "per_page": 123,
    "total": 123,
    "total_pages": 123,
    "has_next": true,
    "has_prev": true
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.emergence.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

JWT Bearer token authentication. Include the token in the Authorization header as: Authorization: Bearer <token>. The JWT must contain valid client_id, and project_id claims for tenant isolation and SDK routing.

Query Parameters

assessment_type
string | null

Filter by assessment type

page
integer
default:1

Page number (1-indexed)

Required range: x >= 1
per_page
integer
default:20

Items per page

Required range: 1 <= x <= 100

Response

Successful Response

List of dimension definitions.

dimensions
DimensionResponse · object[]
required

List of dimensions

pagination
PaginationMeta · object
required

Pagination metadata